Package Name astroid
Status FAILURE
Last Build Date 28.9.2021 00:51
Repo URL https://aur.archlinux.org/astroid.git

Build Output
:: Synchronizing package databases...
core downloading...
extra downloading...
community downloading...
multilib downloading...
abs_cd-local downloading...
==> Making package: astroid 0.15-4 (Tue 28 Sep 2021 12:50:00 AM UTC)
==> Checking runtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency
warning: dependency cycle detected:
warning: libglvnd will be installed before its mesa dependency

Packages (144) adobe-source-code-pro-fonts-2.038ro+1.058it+1.018var-1 adwaita-icon-theme-40.1.1-1 alsa-lib-1.2.5.1-3 alsa-topology-conf-1.2.5.1-1 alsa-ucm-conf-1.2.5.1-1 at-spi2-atk-2.38.0-1 at-spi2-core-2.40.3-1 atk-2.36.0-1 atkmm-2.28.2-2 avahi-0.8+22+gfd482a7-1 bubblewrap-0.5.0-1 cairo-1.17.4-5 cairomm-1.14.3-2 cantarell-fonts-1:0.303-1 dconf-0.40.0-1 desktop-file-utils-0.26-1 enchant-2.3.1-1 flac-1.3.3-3 fontconfig-2:2.13.94-1 freetype2-2.11.0-4 fribidi-1.0.10-1 gdk-pixbuf2-2.42.6-2 giflib-5.2.1-2 glib-networking-1:2.70.0-1 glibmm-2.66.1-2 gobject-introspection-runtime-1.70.0-1 graphite-1:1.3.14-1 gsettings-desktop-schemas-41.0-1 gst-plugins-base-libs-1.18.5-1 gstreamer-1.18.5-1 gtk-update-icon-cache-1:4.4.0-1 gtk3-1:3.24.30+62+g8d04980f38-2 harfbuzz-3.0.0-1 harfbuzz-icu-3.0.0-1 hicolor-icon-theme-0.17-2 hyphen-2.8.8-3 iso-codes-4.7.0-1 json-glib-1.6.6-1 lcms2-2.12-1 libasyncns-0.8+3+g68cd5af-3 libcanberra-0.30+2+gc0620e4-5 libcloudproviders-0.3.1-2 libcolord-1.4.5-4 libcups-1:2.3.3op2-3 libdaemon-0.14-5 libdatrie-0.2.13-1 libdrm-2.4.107-1 libepoxy-1.5.9-1 libevdev-1.11.0-1 libglvnd-1.3.4-1 libgudev-237-1 libice-1.0.10-3 libjpeg-turbo-2.1.1-1 libmanette-0.2.6-2 libnotify-0.7.9-2 libogg-1.3.5-1 libomxil-bellagio-0.9.3-3 libpciaccess-0.16-2 libpng-1.6.37-3 libproxy-0.4.17-2 libpulse-15.0-1 librsvg-2:2.52.0-1 libsigc++-2.10.7-2 libsm-1.2.3-2 libsndfile-1.0.31-1 libsoup-2.74.0-2 libsoup3-3.0.0-2 libstemmer-2.1.0-1 libthai-0.1.28-2 libtiff-4.3.0-1 libunwind-1.5.0-1 libusb-1.0.24-2 libvorbis-1.3.7-2 libwebp-1.2.1-2 libwpe-1.10.1-1 libx11-1.7.2-1 libxau-1.0.9-3 libxcb-1.14-1 libxcomposite-0.4.5-3 libxcursor-1.2.0-2 libxdamage-1.1.5-3 libxdmcp-1.1.3-3 libxext-1.3.4-3 libxfixes-6.0.0-1 libxft-2.3.4-1 libxi-1.8-1 libxinerama-1.1.4-3 libxkbcommon-1.3.1-1 libxrandr-1.5.2-3 libxrender-0.9.10-4 libxshmfence-1.3-2 libxslt-1.1.34-6 libxt-1.2.1-1 libxtst-1.2.3-4 libxv-1.0.11-4 libxxf86vm-1.1.4-4 llvm-libs-12.0.1-4 lm_sensors-1:3.6.0.r41.g31d1f125-1 lzo-2.10-3 mesa-21.2.2-1 notmuch-runtime-0.33.1-1 openjpeg2-2.4.0-1 opus-1.3.1-2 orc-0.4.32-1 pango-1:1.48.10-1 pangomm-2.46.1-2 pixman-0.40.0-1 python-appdirs-1.4.4-3 python-beaker-1.11.0-6 python-mako-1.1.5-1 python-markdown-3.3.4-1 python-markupsafe-2.0.1-1 python-more-itertools-8.10.0-1 python-ordered-set-4.0.2-3 python-packaging-20.9-2 python-pyparsing-2.4.7-3 python-setuptools-1:57.4.0-2 rest-0.8.1-3 shared-mime-info-2.0+57+gc1d1c70-1 sound-theme-freedesktop-0.8-4 speex-1.2.0-3 speexdsp-1.2.0-2 talloc-2.3.3-1 tdb-1.4.5-1 tracker3-3.2.0-2 vulkan-icd-loader-1.2.191-1 wayland-1.19.0-1 woff2-1.0.2-3 wpebackend-fdo-1.10.0-1 xapian-core-1:1.4.18-1 xcb-proto-1.14.1-3 xdg-dbus-proxy-0.1.2-3 xkeyboard-config-2.33-2 xorgproto-2021.5-1 boost-1.76.0-1 boost-libs-1.76.0-1 gmime3-3.2.7-1 gobject-introspection-1.70.0-1 gtkmm3-3.24.5-2 libpeas-1.30.0-1 libsass-3.6.5-1 notmuch-0.33.1-1 protobuf-3.17.3-1 webkit2gtk-2.32.4-1

Total Installed Size: 801.24 MiB

:: Proceed with installation? [Y/n]
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing xapian-core...
installing gmime3...
installing talloc...
Optional dependencies for talloc
python: for python bindings [installed]
installing notmuch-runtime...
installing notmuch...
Optional dependencies for notmuch
emacs: for using the emacs interface
vim: for using the vim interface
python-cffi: for using the python-cffi bindings
ruby: for using the ruby bindings
gnupg: for email encryption [installed]
installing boost-libs...
Optional dependencies for boost-libs
openmpi: for mpi support
installing boost...
Optional dependencies for boost
python: for python bindings [installed]
installing atk...
installing lzo...
installing libpng...
installing graphite...
installing harfbuzz...
Optional dependencies for harfbuzz
cairo: hb-view program [pending]
chafa: hb-view program
installing freetype2...
installing fontconfig...
Creating fontconfig configuration...
Rebuilding fontconfig cache...
installing xcb-proto...
installing libxdmcp...
installing libxau...
installing libxcb...
installing xorgproto...
installing libx11...
installing libxext...
installing libxrender...
installing pixman...
installing cairo...
installing libxfixes...
installing libxcursor...
Optional dependencies for libxcursor
gnome-themes-standard: fallback icon theme
installing libxinerama...
installing libxrandr...
installing libxi...
installing libepoxy...
installing libjpeg-turbo...
Optional dependencies for libjpeg-turbo
java-runtime>11: for TurboJPEG Java wrapper
installing libtiff...
Optional dependencies for libtiff
freeglut: for using tiffgt
installing shared-mime-info...
installing gdk-pixbuf2...
Optional dependencies for gdk-pixbuf2
libwmf: Load .wmf and .apm
libopenraw: Load .dng, .cr2, .crw, .nef, .orf, .pef, .arw, .erf, .mrw, and .raf
libavif: Load .avif
libheif: Load .heif, .heic, and .avif
librsvg: Load .svg, .svgz, and .svg.gz [pending]
webp-pixbuf-loader: Load .webp
installing dconf...
installing libxcomposite...
installing libxdamage...
installing libdatrie...
installing libthai...
installing libxft...
installing fribidi...
installing pango...
installing libxtst...
installing at-spi2-core...
Optional dependencies for at-spi2-core
dbus-broker: Alternative bus implementation
installing at-spi2-atk...
installing wayland...
installing xkeyboard-config...
installing libxkbcommon...
Optional dependencies for libxkbcommon
libxkbcommon-x11: xkbcli interactive-x11
wayland: xkbcli interactive-wayland [installed]
installing hicolor-icon-theme...
installing librsvg...
installing gtk-update-icon-cache...
installing adwaita-icon-theme...
installing json-glib...
installing desktop-file-utils...
installing libpciaccess...
installing libdrm...
installing libxxf86vm...
installing libxshmfence...
installing libomxil-bellagio...
installing libunwind...
installing llvm-libs...
installing lm_sensors...
Optional dependencies for lm_sensors
rrdtool: for logging with sensord
perl: for sensor detection and configuration convert [installed]
installing libglvnd...
installing vulkan-icd-loader...
Optional dependencies for vulkan-icd-loader
vulkan-driver: packaged vulkan driver
installing mesa...
Optional dependencies for mesa
opengl-man-pages: for the OpenGL API man pages
mesa-vdpau: for accelerated video playback
libva-mesa-driver: for accelerated video playback
installing cantarell-fonts...
installing lcms2...
installing libcolord...
installing libproxy...
Optional dependencies for libproxy
networkmanager: NetworkManager configuration module
perl: Perl bindings [installed]
python2: Python 2.x bindings
python: Python 3.x bindings [installed]
libproxy-webkit: PAC proxy support (via WebKit)
installing adobe-source-code-pro-fonts...
installing gsettings-desktop-schemas...
installing glib-networking...
installing libsoup...
Optional dependencies for libsoup
samba: Windows Domain SSO
installing rest...
installing libdaemon...
installing avahi...
Optional dependencies for avahi
gtk3: avahi-discover, avahi-discover-standalone, bshell, bssh, bvnc [pending]
qt5-base: qt5 bindings
libevent: libevent bindings
nss-mdns: NSS support for mDNS
python-twisted: avahi-bookmarks
python-gobject: avahi-bookmarks, avahi-discover
python-dbus: avahi-bookmarks, avahi-discover
installing libusb...
installing libcups...
installing libogg...
installing libvorbis...
installing alsa-topology-conf...
installing alsa-ucm-conf...
installing alsa-lib...
installing libasyncns...
installing libice...
installing libsm...
installing opus...
installing speexdsp...
installing speex...
installing flac...
installing libsndfile...
Optional dependencies for libsndfile
alsa-lib: for sndfile-play [installed]
installing libpulse...
Optional dependencies for libpulse
glib2: mainloop integration [installed]
installing tdb...
Optional dependencies for tdb
python: for python bindings [installed]
installing sound-theme-freedesktop...
installing libcanberra...
installing iso-codes...
installing libcloudproviders...
installing libstemmer...
installing libsoup3...
Optional dependencies for libsoup3
samba: Windows Domain SSO
installing tracker3...
Optional dependencies for tracker3
libsoup: Alternative remoting backend [installed]
installing gtk3...
installing libsigc++...
installing glibmm...
installing cairomm...
installing pangomm...
installing atkmm...
installing gtkmm3...
installing harfbuzz-icu...
installing giflib...
installing libwebp...
Optional dependencies for libwebp
freeglut: vwebp viewer
installing libwpe...
installing wpebackend-fdo...
installing libxslt...
installing enchant...
Optional dependencies for enchant
aspell: for aspell based spell checking support
hunspell: for hunspell based spell checking support
libvoikko: for libvoikko based spell checking support
hspell: for hspell based spell checking support
nuspell: for nuspell based spell checking support
installing libxt...
installing libnotify...
installing hyphen...
installing openjpeg2...
installing woff2...
installing bubblewrap...
installing xdg-dbus-proxy...
installing gstreamer...
installing orc...
installing libxv...
installing libgudev...
installing gst-plugins-base-libs...
installing libevdev...
installing libmanette...
installing webkit2gtk...
Optional dependencies for webkit2gtk
geoclue: Geolocation support
gst-plugins-good: media decoding
gst-plugins-bad: media decoding
gst-libav: nonfree media decoding
installing libsass...
installing gobject-introspection-runtime...
installing libpeas...
Optional dependencies for libpeas
python-gobject: Python loader
installing python-markupsafe...
installing python-beaker...
installing python-appdirs...
installing python-more-itertools...
installing python-ordered-set...
installing python-pyparsing...
installing python-packaging...
installing python-setuptools...
installing python-mako...
installing python-markdown...
installing gobject-introspection...
installing protobuf...
:: Running post-transaction hooks...
( 1/15) Creating system user accounts...
Creating group avahi with gid 974.
Creating user avahi (Avahi mDNS/DNS-SD daemon) with uid 974 and gid 974.
( 2/15) Reloading system manager configuration...
Skipped: Current root is not booted.
( 3/15) Arming ConditionNeedsUpdate...
( 4/15) Updating fontconfig configuration...
( 5/15) Reloading system bus configuration...
Skipped: Current root is not booted.
( 6/15) Warn about old perl modules
( 7/15) Updating fontconfig cache...
( 8/15) Probing GDK-Pixbuf loader modules...
( 9/15) Updating GIO module cache...
(10/15) Compiling GSettings XML schema files...
(11/15) Probing GTK3 input method modules...
(12/15) Updating icon theme caches...
(13/15) Updating the info directory file...
(14/15) Updating the desktop file MIME type cache...
(15/15) Updating the MIME type database...
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...

Packages (22) gpm-1.20.7.r38.ge82d1a6-4 jsoncpp-1.9.4-1 libuv-1.42.0-1 libyaml-0.2.5-1 rhash-1.4.2-1 ruby-3.0.2-1 ruby-hpricot-0.8.6-11 ruby-irb-1.3.6-1 ruby-kramdown-2.3.1-2 ruby-mini_portile2-2.6.1-1 ruby-mustache-1.1.1-2 ruby-nokogiri-1.12.2-1 ruby-rdiscount-2.2.0.2-2 ruby-reline-0.2.5-1 ruby-rexml-3.2.5-1 rubygems-3.2.21-1 cmake-3.21.3-1 cmark-0.30.2-1 ninja-1.10.2-1 python-gobject-3.40.1-1 ruby-ronn-ng-0.9.1-4 w3m-0.5.3.git20210102_6-1

Total Installed Size: 77.93 MiB

:: Proceed with installation? [Y/n]
checking keyring...
warning: dependency cycle detected:
warning: rubygems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-irb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-reline will be installed before its ruby dependency
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing jsoncpp...
Optional dependencies for jsoncpp
jsoncpp-doc: documentation
installing libuv...
installing rhash...
installing cmake...
Optional dependencies for cmake
qt6-base: cmake-gui
installing ninja...
installing python-gobject...
Optional dependencies for python-gobject
cairo: Cairo bindings [installed]
installing cmark...
installing libyaml...
installing rubygems...
installing ruby-reline...
installing ruby-irb...
installing ruby...
Optional dependencies for ruby
ruby-docs: Ruby documentation
tk: for Ruby/TK
installing ruby-hpricot...
installing ruby-rdiscount...
installing ruby-mustache...
installing ruby-rexml...
installing ruby-kramdown...
installing ruby-mini_portile2...
installing ruby-nokogiri...
installing ruby-ronn-ng...
installing gpm...
installing w3m...
Optional dependencies for w3m
imlib2: for graphics support
:: Running post-transaction hooks...
(1/6) Reloading system manager configuration...
Skipped: Current root is not booted.
(2/6) Arming ConditionNeedsUpdate...
(3/6) Updating icon theme caches...
(4/6) Updating the info directory file...
(5/6) Updating the desktop file MIME type cache...
(6/6) Updating the MIME type database...
==> Retrieving sources...
-> Downloading astroid-v0.15.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
100 126 100 126 0 0 768 0 --:--:-- --:--:-- --:--:-- 773

100 3286k 0 3286k 0 0 6342k 0 --:--:-- --:--:-- --:--:-- 6342k
-> Found test_compose.patch
==> Validating source files with sha256sums...
astroid-v0.15.tar.gz ... Passed
test_compose.patch ... Passed
==> Extracting sources...
-> Extracting astroid-v0.15.tar.gz with bsdtar
==> Starting prepare()...
patching file tests/test_composed_message.cc
==> Starting build()...
-- The C compiler identification is GNU 11.1.0
-- The CXX compiler identification is GNU 11.1.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Warning (dev) at CMakeLists.txt:14 (set):
implicitly converting 'TYPE' to 'STRING' type.
This warning is for project developers. Use -Wno-dev to suppress it.

-- Available config types: Debug;Release
-- The CMake build type is: Release
-- Building astroid 0.15.0
-- Found Notmuch 5.4.0
-- Looking for notmuch_database_index_file
-- Looking for notmuch_database_index_file - found
-- Notmuch was built against GMime 3.0.0
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.8.0")
-- Checking for module 'gtkmm-3.0>=3.10'
-- Found gtkmm-3.0, version 3.24.5
-- Checking for module 'glibmm-2.4'
-- Found glibmm-2.4, version 2.66.1
-- Checking for module 'webkit2gtk-4.0>=2.22'
-- Found webkit2gtk-4.0, version 2.32.4
-- Checking for module 'libsass'
-- Found libsass, version 3.6.5
-- Checking for module 'giomm-2.4'
-- Found giomm-2.4, version 2.66.1
-- Checking for module 'gio-unix-2.0'
-- Found gio-unix-2.0, version 2.70.0
-- Checking for module 'libsoup-2.4'
-- Found libsoup-2.4, version 2.74.0
-- Checking for module 'gmime-3.0>=3.0.0'
-- Found gmime-3.0, version 3.2.7
-- Looking for pthread.h
CMake Warning (dev) at /usr/share/cmake-3.21/Modules/CheckIncludeFile.cmake:82 (message):
Policy CMP0075 is not set: Include file check macros honor
CMAKE_REQUIRED_LIBRARIES. Run "cmake --help-policy CMP0075" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.

CMAKE_REQUIRED_LIBRARIES is set to:

/usr/lib/libnotmuch.so

For compatibility with CMake 3.11 and below this check is ignoring it.
Call Stack (most recent call first):
/usr/share/cmake-3.21/Modules/FindThreads.cmake:146 (CHECK_INCLUDE_FILE)
CMakeLists.txt:107 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found Boost: /usr/lib64/cmake/Boost-1.76.0/BoostConfig.cmake (found version "1.76.0") found components: filesystem program_options log_setup log thread date_time system
-- Found Protobuf: /usr/lib/libprotobuf.so;-lpthread (found suitable version "3.17.3", minimum required is "3.0")
-- Checking for module 'vte-2.91'
-- Package 'vte-2.91', required by 'virtual:world', not found
CMake Warning at CMakeLists.txt:139 (message):
Vte library not found.
-- Disabling embedded terminal.


-- Looking for sass_context.h
-- Looking for sass_context.h - not found
-- Looking for sass/context.h
-- Looking for sass/context.h - found
CMake Warning at CMakeLists.txt:424 (message):
Falling back to 'ronn' for man page generation.


-- Checking for module 'gobject-introspection-1.0'
-- Found gobject-introspection-1.0, version 1.70.0
-- Checking for module 'libpeas-1.0>=1.0.0'
-- Found libpeas-1.0, version 1.30.0
-- Found Boost: /usr/lib64/cmake/Boost-1.76.0/BoostConfig.cmake (found version "1.76.0") found components: unit_test_framework
-- Configuring done
-- Generating done
-- Build files have been written to: /build/src/astroid-0.15/build
[1/110] Running cpp protocol buffer compiler on src/modes/thread_view/webextension/messages.proto
[2/110] Building C object CMakeFiles/gir_main.dir/src/plugin/astroid_activatable.c.o
[3/110] Building C object CMakeFiles/gir_main.dir/src/plugin/gir_main.c.o
[4/110] Building C object CMakeFiles/gir_main.dir/src/plugin/thread_index_activatable.c.o
[5/110] Building C object CMakeFiles/gir_main.dir/src/plugin/thread_view_activatable.c.o
[6/110] Building CXX object CMakeFiles/hypocycloid.dir/src/config.cc.o
FAILED: CMakeFiles/hypocycloid.dir/src/config.cc.o
/usr/bin/c++ -DBOOST_LOG_DYN_LINK -DBOOST_LOG_USE_NATIVE_SYSLOG -DDISABLE_VTE -DHAVE_NOTMUCH_INDEX_FILE -DSASSCTX_CONTEXT_H -I/usr/include/gtkmm-3.0 -I/usr/lib/gtkmm-3.0/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -I/usr/include/pixman-1 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gio-unix-2.0 -I/usr/include/cloudproviders -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/at-spi-2.0 -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/atkmm-1.6 -I/usr/lib/atkmm-1.6/include -I/usr/include/gtk-3.0/unix-print -I/usr/include/gdkmm-3.0 -I/usr/lib/gdkmm-3.0/include -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/gmime-3.0 -I/usr/include/webkitgtk-4.0 -I/build/src/astroid-0.15/src -I/build/src/astroid-0.15/src/actions -I/build/src/astroid-0.15/src/modes -I/build/src/astroid-0.15/src/modes/editor -I/build/src/astroid-0.15/src/modes/thread_index -I/build/src/astroid-0.15/src/modes/thread_view -I/build/src/astroid-0.15/src/modes/thread_view/webextension -I/build/src/astroid-0.15/src/plugin -I/build/src/astroid-0.15/src/utils -I/build/src/astroid-0.15/src/utils/gmime -I/build/src/astroid-0.15/build/src -I/build/src/astroid-0.15/build -I/usr/include/libpeas-1.0 -I/usr/include/gobject-introspection-1.0 -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -std=c++14 -O3 -DNDEBUG -I/usr/include/gtkmm-3.0 -I/usr/lib/gtkmm-3.0/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -I/usr/include/pixman-1 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gio-unix-2.0 -I/usr/include/cloudproviders -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/at-spi-2.0 -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/atkmm-1.6 -I/usr/lib/atkmm-1.6/include -I/usr/include/gtk-3.0/unix-print -I/usr/include/gdkmm-3.0 -I/usr/lib/gdkmm-3.0/include -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/gmime-3.0 -D_LARGEFILE64_SOURCE -I/usr/include/webkitgtk-4.0 -Wall -O2 -MD -MT CMakeFiles/hypocycloid.dir/src/config.cc.o -MF CMakeFiles/hypocycloid.dir/src/config.cc.o.d -o CMakeFiles/hypocycloid.dir/src/config.cc.o -c /build/src/astroid-0.15/src/config.cc
/build/src/astroid-0.15/src/config.cc: In member function ‘void Astroid::Config::merge_ptree(const ptree&)’:
/build/src/astroid-0.15/src/config.cc:480:59: error: ‘_1’ was not declared in this scope
480 | const ptree&)> method = bind (&Config::merge, this, _1, _2, _3);
| ^~
/build/src/astroid-0.15/src/config.cc:480:59: note: suggested alternatives:
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:29:16: note: ‘mpl_::_1’
29 | typedef arg<1> _1;
| ^~
In file included from /build/src/astroid-0.15/src/config.cc:3:
/usr/include/c++/11.1.0/functional:225:34: note: ‘std::placeholders::_1’
225 | extern const _Placeholder<1> _1;
| ^~
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:29:16: note: ‘mpl_::_1’
29 | typedef arg<1> _1;
| ^~
In file included from /usr/include/boost/bind/bind.hpp:2336,
from /usr/include/boost/multi_index/sequenced_index.hpp:17,
from /usr/include/boost/property_tree/ptree.hpp:23,
from /build/src/astroid-0.15/src/config.cc:7:
/usr/include/boost/bind/placeholders.hpp:58:38: note: ‘boost::placeholders::_1’
58 | BOOST_STATIC_CONSTEXPR boost::arg<1> _1;
| ^~
In file included from /usr/include/boost/parameter/aux_/is_placeholder.hpp:46,
from /usr/include/boost/parameter/value_type.hpp:101,
from /usr/include/boost/parameter/aux_/arg_list.hpp:1207,
from /usr/include/boost/parameter/aux_/tagged_argument.hpp:76,
from /usr/include/boost/parameter/aux_/tag.hpp:11,
from /usr/include/boost/parameter/keyword.hpp:10,
from /usr/include/boost/log/keywords/severity.hpp:18,
from /usr/include/boost/log/trivial.hpp:22,
from /build/src/astroid-0.15/src/astroid.hh:10,
from /build/src/astroid-0.15/src/config.hh:5,
from /build/src/astroid-0.15/src/config.cc:11:
/usr/include/boost/mp11/bind.hpp:45:7: note: ‘boost::mp11::_1’
45 | using _1 = mp_arg<0>;
| ^~
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:29:16: note: ‘mpl_::_1’
29 | typedef arg<1> _1;
| ^~
/build/src/astroid-0.15/src/config.cc:480:63: error: ‘_2’ was not declared in this scope
480 | const ptree&)> method = bind (&Config::merge, this, _1, _2, _3);
| ^~
/build/src/astroid-0.15/src/config.cc:480:63: note: suggested alternatives:
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:42:16: note: ‘mpl_::_2’
42 | typedef arg<2> _2;
| ^~
In file included from /build/src/astroid-0.15/src/config.cc:3:
/usr/include/c++/11.1.0/functional:226:34: note: ‘std::placeholders::_2’
226 | extern const _Placeholder<2> _2;
| ^~
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:42:16: note: ‘mpl_::_2’
42 | typedef arg<2> _2;
| ^~
In file included from /usr/include/boost/bind/bind.hpp:2336,
from /usr/include/boost/multi_index/sequenced_index.hpp:17,
from /usr/include/boost/property_tree/ptree.hpp:23,
from /build/src/astroid-0.15/src/config.cc:7:
/usr/include/boost/bind/placeholders.hpp:59:38: note: ‘boost::placeholders::_2’
59 | BOOST_STATIC_CONSTEXPR boost::arg<2> _2;
| ^~
In file included from /usr/include/boost/parameter/aux_/is_placeholder.hpp:46,
from /usr/include/boost/parameter/value_type.hpp:101,
from /usr/include/boost/parameter/aux_/arg_list.hpp:1207,
from /usr/include/boost/parameter/aux_/tagged_argument.hpp:76,
from /usr/include/boost/parameter/aux_/tag.hpp:11,
from /usr/include/boost/parameter/keyword.hpp:10,
from /usr/include/boost/log/keywords/severity.hpp:18,
from /usr/include/boost/log/trivial.hpp:22,
from /build/src/astroid-0.15/src/astroid.hh:10,
from /build/src/astroid-0.15/src/config.hh:5,
from /build/src/astroid-0.15/src/config.cc:11:
/usr/include/boost/mp11/bind.hpp:46:7: note: ‘boost::mp11::_2’
46 | using _2 = mp_arg<1>;
| ^~
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:42:16: note: ‘mpl_::_2’
42 | typedef arg<2> _2;
| ^~
/build/src/astroid-0.15/src/config.cc:480:67: error: ‘_3’ was not declared in this scope
480 | const ptree&)> method = bind (&Config::merge, this, _1, _2, _3);
| ^~
/build/src/astroid-0.15/src/config.cc:480:67: note: suggested alternatives:
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:55:16: note: ‘mpl_::_3’
55 | typedef arg<3> _3;
| ^~
In file included from /build/src/astroid-0.15/src/config.cc:3:
/usr/include/c++/11.1.0/functional:227:34: note: ‘std::placeholders::_3’
227 | extern const _Placeholder<3> _3;
| ^~
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:55:16: note: ‘mpl_::_3’
55 | typedef arg<3> _3;
| ^~
In file included from /usr/include/boost/bind/bind.hpp:2336,
from /usr/include/boost/multi_index/sequenced_index.hpp:17,
from /usr/include/boost/property_tree/ptree.hpp:23,
from /build/src/astroid-0.15/src/config.cc:7:
/usr/include/boost/bind/placeholders.hpp:60:38: note: ‘boost::placeholders::_3’
60 | BOOST_STATIC_CONSTEXPR boost::arg<3> _3;
| ^~
In file included from /usr/include/boost/parameter/aux_/is_placeholder.hpp:46,
from /usr/include/boost/parameter/value_type.hpp:101,
from /usr/include/boost/parameter/aux_/arg_list.hpp:1207,
from /usr/include/boost/parameter/aux_/tagged_argument.hpp:76,
from /usr/include/boost/parameter/aux_/tag.hpp:11,
from /usr/include/boost/parameter/keyword.hpp:10,
from /usr/include/boost/log/keywords/severity.hpp:18,
from /usr/include/boost/log/trivial.hpp:22,
from /build/src/astroid-0.15/src/astroid.hh:10,
from /build/src/astroid-0.15/src/config.hh:5,
from /build/src/astroid-0.15/src/config.cc:11:
/usr/include/boost/mp11/bind.hpp:47:7: note: ‘boost::mp11::_3’
47 | using _3 = mp_arg<2>;
| ^~
In file included from /usr/include/boost/mpl/aux_/include_preprocessed.hpp:37,
from /usr/include/boost/mpl/placeholders.hpp:43,
from /usr/include/boost/iterator/iterator_categories.hpp:16,
from /usr/include/boost/iterator/iterator_facade.hpp:13,
from /usr/include/boost/filesystem/path.hpp:29,
from /usr/include/boost/filesystem.hpp:16,
from /build/src/astroid-0.15/src/config.cc:5:
/usr/include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp:55:16: note: ‘mpl_::_3’
55 | typedef arg<3> _3;
| ^~
[7/110] Building CXX object CMakeFiles/hypocycloid.dir/src/compose_message.cc.o
/build/src/astroid-0.15/src/compose_message.cc: In member function ‘void Astroid::ComposeMessage::build()’:
/build/src/astroid-0.15/src/compose_message.cc:241:80: warning: ‘contentStream’ may be used uninitialized in this function [-Wmaybe-uninitialized]
241 | GMimeDataWrapper * contentWrapper = g_mime_data_wrapper_new_with_stream(contentStream, GMIME_CONTENT_ENCODING_DEFAULT);
| ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[8/110] Building CXX object CMakeFiles/hypocycloid.dir/src/account_manager.cc.o
[9/110] Building CXX object CMakeFiles/hypocycloid.dir/src/command_bar.cc.o
[10/110] Building CXX object CMakeFiles/hypocycloid.dir/src/chunk.cc.o
[11/110] Building CXX object CMakeFiles/hypocycloid.dir/src/astroid.cc.o
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
Aborting...
No packages were built!